com.google.cloud.dataflow.examples.cookbook

## Class JoinExamples

- java.lang.Object
- - com.google.cloud.dataflow.examples.cookbook.JoinExamples

    public class JoinExamples
    extends Object

This example shows how to do a join on two collections. It uses a sample of the GDELT 'world event' data (http://goo.gl/OB6oin), joining the event 'action' country code against a table that maps country codes to country names.

Concepts: Join operation; multiple input sources.

To execute this pipeline locally, specify general pipeline configuration:

       --project=YOUR_PROJECT_ID

and a local output file or output prefix on GCS:

       --output=[YOUR_LOCAL_FILE | gs://YOUR_OUTPUT_PREFIX]

To execute this pipeline using the Dataflow service, specify pipeline configuration:

       --project=YOUR_PROJECT_ID
       --stagingLocation=gs://YOUR_STAGING_DIRECTORY
       --runner=BlockingDataflowPipelineRunner

and an output prefix on GCS:

       --output=gs://YOUR_OUTPUT_PREFIX

### Constructor Summary

Constructors
Constructor and Description
`JoinExamples()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JoinExamples

    public JoinExamples()

### Method Detail

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`